Bug 7369 - kdenlive 15.04.1 -> 16.08.2
: kdenlive 15.04.1 -> 16.08.2
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-22 09:38 MSD by Vladimir Potapov
Modified: 2016-11-22 14:57 MSK (History)
2 users (show)

See Also:
RPM Package: kdenlive
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
Russian localization (447.09 KB, text/x-gettext-translation)
2016-09-22 09:39 MSD, Vladimir Potapov
Details
Скомпиленный перевод kdenlive.mo (191.53 KB, application/x-gettext-translation)
2016-09-26 12:36 MSD, VictorR2007
Details
Новый скомпиленный файл локализации (208.52 KB, application/x-gettext-translation)
2016-09-28 01:44 MSD, VictorR2007
Details
Новый файл (208.55 KB, application/x-gettext-translation)
2016-09-28 02:00 MSD, VictorR2007
Details
Файл po (462.03 KB, text/x-gettext-translation)
2016-09-28 02:02 MSD, VictorR2007
Details
Исправленный скомниленный файл (208.81 KB, application/x-gettext-translation)
2016-09-28 12:46 MSD, VictorR2007
Details
Имсправленный файл po (462.19 KB, text/x-gettext-translation)
2016-09-28 12:48 MSD, VictorR2007
Details
Текущий перевод (457.85 KB, text/x-gettext-translation)
2016-09-30 15:31 MSD, Vladimir Potapov
Details
Файл русификации (206.30 KB, application/x-gettext-translation)
2016-10-14 09:57 MSD, Vladimir Potapov
Details
Корректный файл для этой версии (462.58 KB, text/x-gettext-translation)
2016-10-14 15:55 MSD, VictorR2007
Details
последняя версия перевода (462.05 KB, text/x-gettext-translation)
2016-11-19 13:18 MSK, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2016-09-22 09:38:36 MSD
Update needed
https://abf.io/keleg/kdenlive/tree/rosa2014.1
Comment 1 Vladimir Potapov 2016-09-22 09:39:10 MSD
Created attachment 4534 [details]
Russian localization
Comment 2 Vladimir Potapov 2016-09-22 09:42:09 MSD
new mlt
https://abf.io/keleg/mlt/tree/rosa2014.1
Comment 3 VictorR2007 2016-09-25 03:10:57 MSD
(In reply to comment #1)
> Created attachment 4534 [details]
> Russian localization

Этот перевод не очень полный.
Очень много строк без перевода.
Уже почти сделал новый файл.
Завтра-послезавтра с ним ещё немного повожусь,
и потом приложу сюда.
Comment 4 VictorR2007 2016-09-26 12:36:03 MSD
Created attachment 4536 [details]
Скомпиленный перевод kdenlive.mo

Владимир, не сможешь проверить этот перевод?
Нет смысла сразу пересобирать пакет kde5-l10n-ru.
Лучше сначала проверить перевод.
Если не забыл, его нужно положить в
/usr/share/locale/kf5/ru/LC_MESSAGES/
Если нужно, сделаю по возможности более полный перевод.
Чтобы проверить с момента запуска,
нужно удалить файл ~/.config/kdenliverc
Comment 5 VictorR2007 2016-09-26 12:42:27 MSD
Кстати, немного сбивает с толку название kdenlive 15.04.1 -> 16.04.1.
Я сначала начал возиться с файлом от 16.04.1.
Потом перешел в контейнер, а там 16.08.1.
Comment 6 Vladimir Potapov 2016-09-26 14:03:09 MSD
(In reply to comment #5)
> Кстати, немного сбивает с толку название kdenlive 15.04.1 -> 16.04.1.
> Я сначала начал возиться с файлом от 16.04.1.
> Потом перешел в контейнер, а там 16.08.1.
fixed
Comment 7 Vladimir Potapov 2016-09-26 14:04:10 MSD
(In reply to comment #4)
> Created attachment 4536 [details]
> Скомпиленный перевод kdenlive.mo
> 
> Владимир, не сможешь проверить этот перевод?
> Нет смысла сразу пересобирать пакет kde5-l10n-ru.
> Лучше сначала проверить перевод.
> Если не забыл, его нужно положить в
> /usr/share/locale/kf5/ru/LC_MESSAGES/
> Если нужно, сделаю по возможности более полный перевод.
> Чтобы проверить с момента запуска,
> нужно удалить файл ~/.config/kdenliverc
Я успел перевести тогда только "видимые в два клика" строчки. Если переведены остальные - это замечательно!
Comment 8 VictorR2007 2016-09-26 15:08:33 MSD
(In reply to comment #7)
> Я успел перевести тогда только "видимые в два клика" строчки. Если
> переведены остальные - это замечательно!
Не все.
Осталось 12 процентов, 330 строк.
Всё не смогу перевести, но частично ещё сделаю.
В основном это разные всплывающие сообщения и подсказки.
Попросил проверить, чтобы сразу исправлять замеченные проблемы.
А то сделаешь, а потом через некоторое время, когда получишь замечания,
уже сложнее возвращаться и снова вникать в тему.
Comment 9 Vladimir Potapov 2016-09-26 15:13:32 MSD
(In reply to comment #8)
> (In reply to comment #7)
> > Я успел перевести тогда только "видимые в два клика" строчки. Если
> > переведены остальные - это замечательно!
> Не все.
> Осталось 12 процентов, 330 строк.
> Всё не смогу перевести, но частично ещё сделаю.
> В основном это разные всплывающие сообщения и подсказки.
> Попросил проверить, чтобы сразу исправлять замеченные проблемы.
> А то сделаешь, а потом через некоторое время, когда получишь замечания,
> уже сложнее возвращаться и снова вникать в тему.
ок, сегодня проверю. Главное, терминологию соблюсти, она там сложилась уже и много руководств написано.
Comment 10 VictorR2007 2016-09-28 01:44:05 MSD
Created attachment 4537 [details]
Новый скомпиленный файл локализации

Частично доделанный файл.
Осталось шесть процентов.
Но в них входит почта и имя переводчика,
имена и вклад разработчиков и т.п.
Ну и непонятные слова, типа ослабевающий.
Comment 11 VictorR2007 2016-09-28 01:47:15 MSD
(In reply to comment #10)
> Created attachment 4537 [details]
> Ну и непонятные слова, типа ослабевающий.
Откуда-то вставилось слово «ослабевющий».
Хотел написать так.
«Ну и непонятные слова, типа scanline0r.»
Comment 12 VictorR2007 2016-09-28 02:00:49 MSD
Created attachment 4538 [details]
Новый файл

Извиняюсь.
В предыдущем сообщении приложил не тот файл.
Comment 13 VictorR2007 2016-09-28 02:02:36 MSD
Created attachment 4539 [details]
Файл po

Приложил файл russian_kdenlive.po
Comment 14 Vladimir Potapov 2016-09-28 11:08:45 MSD
(In reply to comment #13)
> Created attachment 4539 [details]
> Файл po
> 
> Приложил файл russian_kdenlive.po
К сожалению, не попали мои правки терминологии - впрочем, сам виноват - не приложил po-файл. Я в своем переводе старался избегать слова "выделение" как многозначного (заменил на "выделить" в меню) и привел перевод zone к "участок" везде. Попробую объединить...
Comment 15 VictorR2007 2016-09-28 12:13:13 MSD
(In reply to comment #14)
> (In reply to comment #13)
> > Created attachment 4539 [details]
> > Файл po
> > 
> > Приложил файл russian_kdenlive.po
> К сожалению, не попали мои правки терминологии - впрочем, сам виноват - не
> приложил po-файл. Я в своем переводе старался избегать слова "выделение" как
> многозначного (заменил на "выделить" в меню) и привел перевод zone к
> "участок" везде. Попробую объединить...

Не трать время.
Я сам поправлю.
Это недолго.
Comment 16 VictorR2007 2016-09-28 12:46:56 MSD
Created attachment 4540 [details]
Исправленный скомниленный файл

Исправил «выделение» и привел перевод zone как «участок».
Comment 17 VictorR2007 2016-09-28 12:48:13 MSD
Created attachment 4541 [details]
Имсправленный файл po

Исправлено «выделение» иперевод zone как «участок».
Comment 18 Vladimir Potapov 2016-09-28 13:06:09 MSD
Прошелся еще раз... там много мелочей еще. Я доделаю, сложный перевод, приходится придумывать терминологию кое где и лазать по руководствам видеомонтажа. Спасибо за помощь.
Comment 19 Vladimir Potapov 2016-09-30 15:31:31 MSD
Created attachment 4545 [details]
Текущий перевод
Comment 20 VictorR2007 2016-09-30 19:28:03 MSD
(In reply to comment #19)
> Created attachment 4545 [details]
> Текущий перевод

Что, стоит попытаться его немного доделать?
Или сами?
А то в меню «Монитор - Настройка монитора» строке «Mute monitor» перевод «Отключение монитора».
Лучше «Выключить звук монитора».
И без перевода включение звука назад «Unmute monitor».
А строку
«Preview rendering failed, check your parameters. %1Show details...%2»
Нужно переводить как 
«Не удалось создать миниатюру для предварительного просмотра, проверьте 
правильность настройки. %1Показать подробности...%2»
Я не мог понять, почему слитно %1,
и написал в рассылку переводчиков KDE.
Оказалось, что в данном случае %1 и %2,
это просто ссылки на HTML-код, который далее в строке исходного кода.
Ну и заодно Александр Поташев написал мне правильный перевод.
Comment 21 Vladimir Potapov 2016-10-14 09:55:05 MSD
Итак, новый-преновый KDEnlive даже с аппаратным ускорением (для Intel, для проприетарных выдает ошибку, известную в апстриме), пока x64

Movit 1.3.2
http://abf-downloads.rosalinux.ru/keleg_personal/container/2730383/x86_64/main/release/

MLT 6.2
http://abf-downloads.rosalinux.ru/keleg_personal/container/2730392/x86_64/main/release/

KDEnlive 16.08.2
http://abf-downloads.rosalinux.ru/keleg_personal/container/2730394/x86_64/main/release/
Comment 22 Vladimir Potapov 2016-10-14 09:57:42 MSD
Created attachment 4550 [details]
Файл русификации

складывать в /usr/share/locale/kf5/ru/LC_MESSAGES/
Comment 23 VictorR2007 2016-10-14 15:55:31 MSD
Created attachment 4551 [details]
Корректный файл для этой версии

К сожалению, вы использовали устаревший файл для перевода.
В нём не хватает 228 строк.
Если удалить файл ~/.config/kdenliverc
и запустить программу, то станут видны первые строки без перевода.
Переделал ваш приложенный файл attachment 4550 [details] в po файл,
и добавил в него недостающие строки.
К части строк добавил перевод как неутверждённый.
Вам будет проще сразу проверить, подправить и утвердить перевод.
Надеюсь, что это было полезно.
Comment 24 Vladimir Potapov 2016-10-14 19:00:58 MSD
(In reply to comment #23)
> Created attachment 4551 [details]
> Корректный файл для этой версии
> 
> К сожалению, вы использовали устаревший файл для перевода.
> В нём не хватает 228 строк.
> Если удалить файл ~/.config/kdenliverc
> и запустить программу, то станут видны первые строки без перевода.
> Переделал ваш приложенный файл attachment 4550 [details] в po файл,
> и добавил в него недостающие строки.
> К части строк добавил перевод как неутверждённый.
> Вам будет проще сразу проверить, подправить и утвердить перевод.
> Надеюсь, что это было полезно.
да, я использовал от 16.08.01, в 02 они кой-что добавляли.
Comment 25 Andrey Bondrov 2016-11-11 19:36:09 MSK
Advisory: "Update MLT to new version 6.2.0"

https://abf.rosalinux.ru/build_lists/2753396
https://abf.rosalinux.ru/build_lists/2753397

Advisory: "Rebuild synfig with new MLT (Contrib)"

https://abf.rosalinux.ru/build_lists/2753412
https://abf.rosalinux.ru/build_lists/2753413

Advisory: "Update Kdenlive to new version 16.08.2"

https://abf.rosalinux.ru/build_lists/2753418
https://abf.rosalinux.ru/build_lists/2753419

Advisory: "Update kde5-l10n for Kdenlive translations"

https://abf.rosalinux.ru/build_lists/2753424
https://abf.rosalinux.ru/build_lists/2753425
Comment 26 Vladimir Potapov 2016-11-12 19:47:09 MSK
The update is sent to expanded testing
********************************************
Comment 27 Vladimir Potapov 2016-11-19 13:16:12 MSK
нужно добавить в зависимости lib64qt5-qtquickcontrols-qml иначе не стартует 

kdenlive
qrc:/qml/kdenliveclipmonitor.qml:2:1: module "QtQuick.Controls.Styles" is not installed
qrc:/qml/kdenliveclipmonitor.qml:1:1: module "QtQuick.Controls" is not installed
qrc:/qml/kdenliveclipmonitor.qml:2:1: module "QtQuick.Controls.Styles" is not installed
qrc:/qml/kdenliveclipmonitor.qml:1:1: module "QtQuick.Controls" is not installed
Ошибка сегментирования (слепок снят)
Comment 28 Vladimir Potapov 2016-11-19 13:18:48 MSK
Created attachment 4561 [details]
последняя версия перевода
Comment 29 Andrey Bondrov 2016-11-19 15:15:38 MSK
Advisory: "Update MLT to new version 6.2.0"

https://abf.rosalinux.ru/build_lists/2753396
https://abf.rosalinux.ru/build_lists/2753397

Advisory: "Rebuild synfig with new MLT (Contrib)"

https://abf.rosalinux.ru/build_lists/2753412
https://abf.rosalinux.ru/build_lists/2753413

Advisory: "Update Kdenlive to new version 16.08.2"

https://abf.rosalinux.ru/build_lists/2754640
https://abf.rosalinux.ru/build_lists/2754641

Advisory: "Update kde5-l10n for Kdenlive translations"

https://abf.rosalinux.ru/build_lists/2754644
https://abf.rosalinux.ru/build_lists/2754645
Comment 30 Vladimir Potapov 2016-11-20 19:03:45 MSK
The update is sent to expanded testing
**************************************
Comment 31 Vladimir Potapov 2016-11-21 22:01:13 MSK
mlt-6.2.0-2
https://abf.rosalinux.ru/build_lists/2753396
https://abf.rosalinux.ru/build_lists/2753397

kdenlive-16.08.2-2
https://abf.rosalinux.ru/build_lists/2754640
https://abf.rosalinux.ru/build_lists/2754641

kde5-l10n-16.04.3-4
https://abf.rosalinux.ru/build_lists/2754644
https://abf.rosalinux.ru/build_lists/2754645
********************************* Advisory ******************************
Update MLT to new version 6.2.0
Update Kdenlive to new version 16.08.2
Update kde5-l10n for Kdenlive translations
*************************************************************************
QA Verified